<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="
		http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-4.3.xsd">


	<bean id="customerReportExcelView" class="com.ffii.tbms.reports.view.CustomerReportExcelView">
		<property name="url" value="WEB-INF/report/customer" />
	</bean>

	<bean id="paymentReportExcelView" class="com.ffii.tbms.reports.view.PaymentReportExcelView">
		<property name="url" value="WEB-INF/report/payment" />
	</bean>

	<bean id="outstandingReportExcelView" class="com.ffii.tbms.reports.view.OutstandingReportExcelView">
		<property name="url" value="WEB-INF/report/outstanding" />
	</bean>

	<bean id="customerFirstOrderReportExcelView" class="com.ffii.tbms.reports.view.CustomerFirstOrderReportExcelView">
		<property name="url" value="WEB-INF/report/cust_first_order" />
	</bean>

	<bean id="orderReportExcelView" class="com.ffii.tbms.reports.view.OrderReportExcelView">
		<property name="url" value="WEB-INF/report/order" />
	</bean>
	
	<bean id="tbmsPrintPreview" class="com.ffii.core.web.view.jasperreports.JasperReportsMultiFormatView">
		<property name="url" value="/WEB-INF/report/preview.jrxml"/>
		<property name="reportDataKey" value="dataSource"/>
	</bean>

	<bean id="measurementSheet" class="com.ffii.core.web.view.jasperreports.JasperReportsMultiFormatView">
		<property name="url" value="/WEB-INF/report/measurementSheet.jrxml"/>
		<property name="reportDataKey" value="dataSource"/>
	</bean>

	<bean id="invoiceTemp" class="com.ffii.core.web.view.jasperreports.JasperReportsMultiFormatView">
		<property name="url" value="/WEB-INF/report/invoiceTemp.jrxml"/>
		<property name="reportDataKey" value="dataSource"/>
	</bean>

</beans>